Name:           cmus
Version:        2.2.0
Release:        1%{?dist}
Summary:        Ncurses-Based Music Player
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://cmus.sourceforge.net/
Source0:        http://mirror.greaterscope.net/cmus/cmus-%{version}.tar.bz2
# This doesn't quite apply; so I've fixed it to apply
#Patch0:         http://www.hci-matters.com/blog/wp-content/uploads/2008/05/06/cmus_audioscrobblerBETA41-githead.diff
# This doesn't quite compile, so leaving it out for now:
#Patch0:         cmus-2.2.0-audioscrobblerBETA41.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel
BuildRequires:  faad2-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  flac-devel
BuildRequires:  libao-devel
BuildRequires:  libmad-devel
BuildRequires:  libmikmod-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libvorbis-devel
BuildRequires:  wavpack-devel


%description
cmus is a small and fast text mode music player for Linux and many
other UNIX-like operating systems.



%prep
%setup -q
#%patch0 -p1  # doesn't build cleanly now; disable and talk to patchset
#             # maintainer


%build
# Wierd non-standard config script
./configure prefix=%{_prefix} bindir=%{_bindir} datadir=%{_datadir} \
  libdir=%{_libdir} mandir=%{_mandir} \
  exampledir=%{_datadir}/%{name}/examples \
  CONFIG_FLAC=y CONFIG_MAD=y CONFIG_MODPLUG=y CONFIG_MIKMOD=y \
  CONFIG_MPC=y CONFIG_VORBIS=y CONFIG_WAV=y CONFIG_WAVPACK=y \
  CONFIG_MP4=y CONFIG_AAC=y CONFIG_FFMPEG=n CONFIG_ALSA=y \
  CONFIG_AO=y CONFIG_ARTS=n CONFIG_OSS=n CONFIG_SUN=n \
  CFLAGS="%{optflags}"
make %{?_smp_mflags}


%install
# Need to add DESTDIR.
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/examples .
chmod -x examples/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc examples COPYING
%{_bindir}/%{name}
%{_bindir}/cmus-remote
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/cmus-remote.1*
%{_mandir}/man1/cmus.1*


%changelog
* Sun Nov 16 2008 Conrad Meyer <konrad@tylerc.org> - 2.2.0-1
- Initial package.
